Skip to main content
GET
/
portfolios
/
{portfolioId}
/
manual-positions
cURL
curl --request GET \
  --url https://lighthouse.one/v1/api/portfolios/{portfolioId}/manual-positions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01JZYKJR06MANUAL00001",
      "network": "Ethereum",
      "platform": "Manual",
      "account": "Main Wallet",
      "assetSymbol": "ETH",
      "assetName": "Ethereum",
      "amount": 10,
      "price": 3915.228,
      "usdValue": 39152.28,
      "manualAsset": false,
      "description": "Cold-storage ETH"
    },
    {
      "id": "01JZYKJR06MANUAL00002",
      "network": "Manual",
      "platform": "Manual",
      "account": "Treasury",
      "assetSymbol": "PRIV",
      "assetName": "PrivateCoin",
      "amount": 1000,
      "price": 1.5,
      "usdValue": 1500,
      "manualAsset": true,
      "description": null
    }
  ],
  "meta": {
    "total": 2,
    "perPage": 20,
    "currentPage": 1,
    "lastPage": 1,
    "firstPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

portfolioId
string
required

A unique identifier for the portfolio. The portfolioId can be obtained from the Lighthouse API keys settings.

Query Parameters

page
number
default:1
limit
number
default:20
Required range: x <= 100
accountId
string

Filter manual positions by the account they belong to.

Response

200 - application/json

Manual positions response

data
object[]